API referenceInvoices
Export invoices as CSV (same filters as the list)
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Query Parameters
status?string
Default
"all"Value in
- "all"
- "paid"
- "pending"
- "confirming"
- "completed"
- "partially_completed"
- "processing"
- "refunded"
- "partially_refunded"
- "expired"
- "cancelled"
- "failed"
- "disputed"
statuses?string
Length
length <= 20000q?string
Length
length <= 200from?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeto?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timepaymentMethodId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidpaymentMethodIds?string
Length
length <= 20000customerId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidarchived?string
Value in
- "true"
- "false"
email?string
Length
length <= 200ip?string
Length
length <= 200country?string
Length
2 <= length <= 2discordId?string
Length
length <= 200productName?string
Length
length <= 200variantName?string
Length
length <= 200couponCode?string
Length
length <= 200customFieldValue?string
Length
length <= 200manual?string
Value in
- "true"
- "false"
utmSource?string
Length
length <= 200utmMedium?string
Length
length <= 200utmCampaign?string
Length
length <= 200utmTerm?string
Length
length <= 200utmContent?string
Length
length <= 200ids?string
Length
length <= 20000sort?string
Default
"created_desc"Value in
- "created_desc"
- "created_asc"
- "total_desc"
- "total_asc"
- "paid_desc"
page?integer
Range
1 <= value <= 9007199254740991Default
1perPage?integer
Range
1 <= value <= 200Default
25Response Body
application/json
curl -X GET "https://example.com/v1/stores/string/invoices/export.csv"Empty